Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: wscat has its own package now

...

  1. If you don't have it already, install npm

    Code Block
    languagebash
    $ apt-get install npm
  2. Install the ws node package:

    Code Block
    languagebash
    $ npm install -g wswscat
Tip

Some distributions repos (e.g. Ubuntu) may have older versions of nodejs and npm that will throw a wrench in your install of the ws package. You'll have to install a newer version from another repo or via source.

Installing Nodejs via packages

Installing npm in a variety of ways

...